<p>The pre-install script has:</p>
<ul>
    <li>Configured PHP and Apache to work with Icebear;</li>
    <li>Created a new MySQL database and user for Icebear;</li>
    <li>Activated and configured a firewall; and</li>
    <li>Created a default storage directory.</li>
</ul>

<p>This installer will help you to:</p>
<ul>
<li>Create an Icebear administrator account;</li>
<li>Connect Icebear to your imagers, if you have them;</li>
<li>Import users from your imaging system; and </li>
<li>Tell Icebear who supervises who.</li>
</ul>

<p>To install Icebear, you will need:</p>
<ul>
<li>The path to Icebear's storage area, if you don't want to use the default;</li>
<li>The path to Icebear's backup area, if you defined one;</li>
<li>For integration with Formulatrix imagers:<ul>
	<li>the username and password of a SQL Server user with read-only privileges on the RockMaker and RockImager databases, as well as the database server name/IP and port;</li>
	<li>the username and password of the network share containing the RockMaker image stores;</li>
</ul>
</ul>

<p>If you're integrating Icebear with your Formulatrix imagers, Icebear will import users from RockMaker, so we recommend that you also know:</p>
<ul>
<li>Which users supervise which;
<li>The username of everyone who will use Icebear. (Icebear will support LDAP authentication in later versions, so you probably want people's username to be the same in LDAP and Icebear.)</li>
</ul>
<p>While you can set this up later, it's much easier to do it all now.</p>

